// ===================== MSP430F1xxx Ŭ(X2)  α׷ ===============
//  CPU : MSP430F1611
//     ¥ : 2008-
//      : Ver1.0
//    : www.cpuplaza.com
// Ϸ : mspgcc+Dev-C++
// [ ]  : ACLK : 32.768Khz
//            MCLK : X2(8.0MHz)
//            SMCLK: X2(8.0MHz)
// ----------------------------------------------------------------------------
// ⺻ 
#include <io.h>
#include <stdio.h>
#include <signal.h>
#include <iomacros.h>

//  
#define		DELTA_1	900					// DCO = DELATA_1 * 4096 = 3.6864MHz
#define		DELTA_2	250					// DCO = DELATA_2 * 4096 = 1.024000MHz
#define		DELTA_3	64					// DCO = DELATA_3 * 4096 = 0.262144MHz

#define		DELTA	DELTA_1					// DCO = 3.6864MHz

// Լ 

//  

// ===============================  α׷ ==============================
// [μ]: void
// []: P1.0 : PULSE Output
//         P5.4 : MCLK  Output
//         P5.5 : SMCLK Output
//         P5.6 : ACLK  Output
// ---------------------------------------------------------------------------
int main(void)
{
int i;
unsigned dly;

	WDTCTL = WDTPW + WDTHOLD;				// Init watchdog timer(stop)
	for(dly = 0; dly < 0x4000; dly++) ;			// XTAL  ð 
	
	BCSCTL1 &= ~XT2OFF;					// XT2on
	do{
		IFG1 &= ~OFIFG;					// Clear OSCFault flag
		for (i = 0xff; i > 0; i--);			// Time for flag to set
	}
	while((IFG1 & OFIFG) != 0);				// OSCFault flag still set?	
	BCSCTL2 |= SELM1+SELS;					// MCLK = SMCLK = XT2 (safe)

	P1DIR |= 0x01;						// P1.0 output
	P5DIR |= 0x70;						// P5.4-6 output
	P5SEL |= 0x70;						// P5.4-6 SMCLK,ACLK output
	while(1){
		P1OUT ^= 0x01;					// Toggle P1.0
	}
}
