// ========================== MSP430F1xxx Ʈ  α׷ ==================
//  CPU : MSP430F1611
//     ¥ : 2008-
//      : Ver1.0
//    : www.cpuplaza.com
// Ϸ : IAR-MSP430
// [ ]  : ACLK : 32.768Khz
//            MCLK : DCO(4.9MHz)
//            SMCLK: DCO(4.9MHz)
// ----------------------------------------------------------------------------
// ⺻ 
#include "msp430x16x.h"
#include <stdio.h>

// Լ 


//  

// ===============================  α׷ ==============================
// [μ]: void
// []: P1.0-7 : ALL Output
//         P2.0-5 : ALL Output
//         P3.0-7 : ALL Output
//         P4.0-7 : ALL Output
//         P5.0-7 : ALL Output
//         P6.0-7 : ALL Output
//          1 0 
// ---------------------------------------------------------------------------
int main(void)
{
long datal1 = 0x00000001,datal2 = 0x00000000;
long dly;

	WDTCTL = WDTPW + WDTHOLD;				// Init watchdog timer(stop)
	for(dly = 0; dly < 0x4000; dly++) ;			// XTAL  ð 
	
// Rsel = 7, DCO = 7, MOD = 0, DCOR = 0 TA = 25 :: DCO ִ ļ (4.4 - 5.4Mhz)
// XTX  : Low Freqency
// DIVx : ACLK = LXFTCLK(32.768KHz)
// Register Select : 7
	BCSCTL1 = XT2OFF + RSEL2 + RSEL1 + RSEL0;
	DCOCTL = 0xe0;						// DCO Max Freqency

        P1DIR = 0xff;						// Port1 All Output
	P2DIR = 0xff;						// Port2 All Output
	P3DIR = 0xff;						// Port3 All Output
	P4DIR = 0xff;						// Port4 All Output
	P5DIR = 0xff;						// Port5 All Output
	P6DIR = 0xff;						// Port6 All Output
	while(1){
		P1OUT = ~datal1 & 0xff;				// PORT1 Out
		P2OUT = (~datal1 >> 8) & 0xff;			// PORT2 Out
		P3OUT = (~datal1 >> 16) & 0xff;			// PORT3 Out
		P4OUT = ~datal2 & 0xff;				// PORT4 Out
		P5OUT = (~datal2 >> 8) & 0xff;			// PORT5 Out
		P6OUT = (~datal2 >> 16) & 0xff;			// PORT6 Out
		for(dly = 0; dly < 300000; dly++);		// delay 362ms
		datal1 = datal1 << 1;				// 1 Ʈ << 1
		datal2 = datal2 << 1;				// 2 Ʈ << 1
		if(datal1 & 0x01000000L){			// P1,P2,P3  End ˻
			datal1 = 0x00000000;
			datal2 = 0x00000001;
		}
		else if(datal2 & 0x01000000L){			// P4,P5,P6  End ˻
			datal1 = 0x00000001;
			datal2 = 0x00000000;
		}
	}
}
